[tool:pytest]
minversion = 2.2
testpaths = "ccdproc" "docs"
norecursedirs = build docs/_build
doctest_plus = enabled
addopts = --doctest-rst
markers = 
	data_size(N): set dimension of square data array for ccd_data fixture
	data_scale(s): set the scale of the normal distribution used to generate data
	data_mean(m): set the center of the normal distribution used to generate data

[metadata]
name = ccdproc
description = Astropy affiliated package
long_description = This is a package for reducing optical/IR CCD data that relies on astropy
author = Steve Crawford, Matt Craig, and Michael Seifert
author_email = ccdproc@gmail.com
license = BSD
url = http://ccdproc.readthedocs.io/
edit_on_github = False
github_project = astropy/ccdproc

[options]
packages = find:
zip_safe = False
setup_requires = setuptools_scm
install_requires = numpy>=1.17
	astropy>=4.0.5  # Support LTS, but only with bug fixes
	scipy
	astroscrappy>=1.0.7
	reproject>=0.7
	scikit-image
python_requires = >=3.7

[options.package_data]
* = data/*

[options.extras_require]
test = 
	pytest-astropy
	memory_profiler
docs = 
	sphinx-astropy

[pycodestyle]
select = E101,E111,E112,E113,E221,E222,E223,E224,E225,E241,E242,E251,E271,E272,E303,E304,E502,E703,E901,E902,W191,W291,W292,W293,W391
exclude = _astropy_init.py,version.py

[entry_points]

[flake8]
max-line-length = 100

[coverage:run]
source = ccdproc
omit = 
	ccdproc/__init__*
	ccdproc/conftest.py
	ccdproc/*setup*
	ccdproc/*/tests/*
	ccdproc/tests/*

[coverage:report]
exclude_lines = 
	pragma: no cover
	except ImportError
	raise AssertionError
	raise NotImplementedError
	def main\(.*\):
	pragma: py{ignore_python_version}

[egg_info]
tag_build = 
tag_date = 0

